> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company News Lookup

> Retrieve news article details for a specific company using a news search ID.



## OpenAPI

````yaml en-openapi POST /companies/news/lookup
openapi: 3.0.0
info:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/en/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/en/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: Workspace profile information and usage statistics
  - name: Enrichment
    description: Enrich people and company records with detailed B2B data
  - name: Lookalike
    description: Find companies similar to a given company
  - name: Search
    description: Search for people, companies, jobs, news, and advertisements with filters
  - name: Lookup
    description: >-
      Look up detailed information for specific people, companies, jobs, news,
      advertisements, and technologies
  - name: LinkedIn
    description: Look up people and company data via LinkedIn profile URLs
  - name: Redeem
    description: Redeem credits to unlock people contact details (single and batch)
  - name: Channels
    description: Manage outreach channel templates (create, update, delete, list)
  - name: Monitor
    description: Create and manage data monitors with webhooks, statistics, and processing
  - name: Filters
    description: >-
      Retrieve available filter values for search parameters (technologies,
      locations, verticals, etc.)
externalDocs:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  url: https://docs.pubrio.com
paths:
  /companies/news/lookup:
    post:
      tags:
        - Lookup
      summary: Look up company news
      description: >-
        Retrieve news article details for a specific company using a news search
        ID.
      operationId: companies_lookup_news
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                news_search_id:
                  $ref: '#/components/schemas/news_search_id'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              required:
                - news_search_id
      responses:
        '200':
          description: Successful response containing company news details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/data'
              example:
                data:
                  news_id: 0b0f1c53-7a04-4a46-b5bc-3b17a7c4cfbd
                  news_search_id: 4110b929-17cd-42aa-a159-906ead0c9b56
                  keywords:
                    - AI
                    - Digital China
                    - INSEAD
                    - manajemen perusahaan
                    - transformasi digital
                    - studi kasus
                    - Guo Wei
                    - proses bisnis
                    - komputasi awan
                    - integrasi data
                  summary_original: >-
                    Guo Wei, Chairman Digital China, memaparkan tentang
                    manajemen perusahaan era AI di INSEAD 2025 Asia AI
                    Conference, serta meluncurkan studi kasus tentang perjalanan
                    transformasi AI Digital China.
                  title_original: Digital China membahas manajemen perusahaan era AI di INSEAD
                  news_gallery_ids:
                    - 7c8ec9cc-66c5-4153-82da-9c8f356c6c99
                  country_codes:
                    - CN
                    - SG
                  company_country_codes:
                    - CN
                    - FR
                  amount_normalized: null
                  amount: null
                  job_title_tags:
                    - executive
                    - leadership
                  job_title: Chairman
                  headcount: null
                  financing_type_tags: null
                  financing_type_normalized: null
                  financing_type: null
                  domains:
                    - insead.edu
                    - digitalchina.com
                  companies:
                    - logo_url: >-
                        https://buckets.pubrio.com/company-logo/MjY5OTY5NDJpbnNlYWQuZWR1bGlua2VkaW5fcF9sb2dvMTU=.jpg
                      domain_search_id: dfbe6797-5311-46f9-9518-bf1a7c3d09bc
                      country_code: FR
                      company_name: Insead
                      linkedin_name: insead
                      domain: insead.edu
                    - logo_url: >-
                        https://buckets.pubrio.com/company-logo/NDA2NTQ5NTFkaWdpdGFsY2hpbmEuY29tbGlua2VkaW5fcF9sb2dvMTU=.jpg
                      domain_search_id: e13a9e24-a07d-4630-9b47-fceb778df74e
                      country_code: CN
                      company_name: Digital China
                      linkedin_name: digital-china
                      domain: digitalchina.com
                  news_galleries:
                    - slug: banking-financial-service
                      news_gallery_id: 7c8ec9cc-66c5-4153-82da-9c8f356c6c99
                      name: Banking/Financial Service
                  locations:
                    - Singapore
                    - China
                  last_modified: '2025-06-01T10:12:25.284Z'
                  image_url: null
                  url: http://enold.prnasia.com/p/asia-story-125304015-0.shtml
                  published_at: '2025-06-01T08:00:00.000Z'
                  language: id
                  source: prnasia.com
                  category: launches
                  title: Digital China's AI-driven transformation showcased at INSEAD
                  summary: >-
                    Guo Wei, Chairman of Digital China, presented on AI-era
                    corporate management at INSEAD 2025 Asia AI Conference,
                    launching a case study on Digital China's AI transformation
                    journey.
                  news_category_name: Launches
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    news_search_id:
      type: string
      format: uuid
      example: 4110b929-17cd-42aa-a159-906ead0c9b56
      description: A unique identifier for the company news search operation.
    profile_id:
      type: integer
      description: >-
        Optional. An identifier for the user profile (workspace) making the
        request. This is no longer required as the API key already includes your
        workspace information. If provided, it helps in associating the lookup
        with a specific user, allowing for data retrieval and credit tracking. 

         Check out `user details` endpoints under the Profile tab for more information.
    data:
      type: object
      nullable: true
      description: Response info depends on specific endpoint.
  responses:
    general_error:
      description: >-
        Bad request. The request was malformed or contained invalid parameters.
        Check the error code and message for details.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: >-
                  Errors and codes will vary depending on the scenario, please
                  see the documentation for information.
                type: string
              details:
                type: object
    rate_limit_error:
      description: >-
        Rate limit exceeded. Too many requests were made in a given time period.
        Retry after the rate limit window resets.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: Request rate limit exceeded. Please wait and try again later.
                type: string
    server_error:
      description: >-
        Internal server error. An unexpected error occurred on the server.
        Contact support if the error persists.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: An unexpected error occurred on the server.
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        A unique API token that represents the actions you perform through the
        API and the corresponding permissions and operations. You can create it
        through the [Settings](https://dashboard.pubrio.com/#/settings/)
        section.
      in: header

````